Bug Hunting Session
Bug 91403 - Crash in Insert - Fields - More Fields...
Summary: Crash in Insert - Fields - More Fields...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: Other Linux (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2 ta...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2015-05-20 08:55 UTC by Matthew Francis
Modified: 2016-10-25 19:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Linux 5.0 master backtrace (11.23 KB, text/plain)
2015-05-20 08:56 UTC, Matthew Francis
Details
Reproducer script (752 bytes, text/x-python)
2015-05-20 09:01 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2015-05-20 08:55:19 UTC
Another one found experimenting with UI automation - however, this one can be reproduced by hand, and doesn't appear to be related to either accessibility or VclPtr. It's probably a regression; I can reproduce it back to 4.2, but it's not very reliably reproducible so I haven't been able to put my finger on exactly when it started.

Reproduction steps:
1. Open a new Writer window
2. File - New - Presentation
3. Alt-tab back to the Writer window
4. Insert - Fields - More Fields...
Comment 1 Matthew Francis 2015-05-20 08:56:44 UTC
Created attachment 115741 [details]
Linux 5.0 master backtrace

(bcdd3a403ca1d0ac05dd2382cf7e8fdfd3281322)
Comment 2 Matthew Francis 2015-05-20 09:01:40 UTC
Created attachment 115742 [details]
Reproducer script

Attached is a minimised version of the test which originally reproduced the issue (which tickles it much more reliably than doing it by hand)

To run it you'll need:
- Python 2 (everyone should have)
- A release dogtail package (e.g. python-dogtail on Ubuntu)
- LibreOffice running with a single Writer window open and accessibility enabled (export SAL_USE_VCLPLUGIN="gtk" GTK_MODULES="gail:atk-bridge")
Comment 3 Buovjaga 2015-05-20 10:26:50 UTC
(In reply to Matthew Francis from comment #2)
> Created attachment 115742 [details]
> Reproducer script
> 
> Attached is a minimised version of the test which originally reproduced the
> issue (which tickles it much more reliably than doing it by hand)
> 
> To run it you'll need:
> - Python 2 (everyone should have)
> - A release dogtail package (e.g. python-dogtail on Ubuntu)
> - LibreOffice running with a single Writer window open and accessibility
> enabled (export SAL_USE_VCLPLUGIN="gtk" GTK_MODULES="gail:atk-bridge")

Reproduced crash with script.

Ubuntu 15.04 64-bit 
Version: 5.0.0.0.alpha1+
Build ID: 51d16cc69d8ad9065f61d108ea25d6a025a2e228
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-05-17_03:58:58
Locale: en-US (en_US.UTF-8)
Comment 4 Thomas Krumbein 2015-05-27 14:24:26 UTC
Can confirm bug on Win 8.1, Libo 5.0.0.0.Beta1 64 bit.

Crash just by selecting any item on icon "insert field" - standard bar.
Comment 5 Commit Notification 2015-05-27 16:25:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff44502d836880d2bdb057e7fdfd9b5abeb87842

Resolves: tdf#91403 no wrtshell during initial layout

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-05-27 16:26:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf851cda7c943548d0ce60d0b4836ccbf6e76698&h=libreoffice-5-0

Resolves: tdf#91403 no wrtshell during initial layout

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-05-28 09:01:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=475edbbe446df3250b3d898b8e2cc4c380c60ece&h=libreoffice-4-4

Resolves: tdf#91403 no wrtshell during initial layout

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.